# Настройка профиля

- Максимальный вес аватара 200Кб, максимальное разрешение 500x500.
- Адрес электронной почты по умолчанию скрыт, но вы можете это изменить.
- Использование реальных имен (в том числе чужих) в профиле не рекомендуется.

# Конфигурация git для работы через I2P

Необходимо, чтобы в адресной книге вашего роутера был короткий адрес `git.community.i2p`. Добавление в адресную книгу является однократной простой операцией: самый простой способ подразумевает открытие ссылки через веб-браузер, использующий HTTP-прокси I2P-роутера. После стандартной процедуры добавления адреса с одного из предложенных регистраторов, шаг можно считать завершенным. Также можете взять специальную строку для адресной книги отсюда, чтобы открыть ее на новом устройстве без обращения к регистраторам: 

```http
http://git.community.i2p/?i2paddresshelper=KvtrmFAzrOald4YcR8-q0YMiuSViFQniYoiu3H4fmd6zEfNo6OSTNQxfWivrEaOuPYnvgWMooGcaZmOQTqkrU8RFSMFcnQfVTwbmKoxFJp-I4WFp6HbptnKf6AkyR06Zk9DtCoAyEzqZtsoRbi8HbPBq09qAVGyGO6K-XiPp1wqIuCM-R4h82QdNvzkAat9WaIPqSLo2DiaWxf9JNmJN4-gDNR0WGGj2OFVQPrt-UKqDLyHwDQHqqkYA87Ch6yLJCeuBY6w9XVqrqHubB3utuU8cU6f3JuHEkbfqkfe2sKxgNnwRy2Clyw6AXkDvamYVpt07qV7ZhLy46kqhW-9g~Es-B3puRiu48AHiUhNMpzgwFS-r1R95gIDCGlIpJ18hf2UyYmQYayZL7IICnkjWd7SJL6G6MMrt-dRt3uKzkN6c635SyyG-XhPx3sWgWTHoNWZYgvT7jgViGBYhOJkGLNG5jWwKZLbx6DVOgAgwMnbZQ4VaSE~RT8cADnvsnxOlBQAEAAcAAA==
```

Использование системы контроля версий git через I2P почти ничем не отличается от традиционного. Чтобы открыть скрытый сайт, мы указываем в настройках браузера адрес прокси. Чтобы подключиться к скрытому гит-репозиторию, нужно сделать то же самое, только в конфигурации git:

```bash
git config --global http.http://git.community.i2p.proxy http://127.0.0.1:4444
```

Обратите внимание, что данная строка перенаправляет в I2P исключительно запросы на `http://git.community.i2p`. В остальном ваша гит-система будет работать в прежнем режиме.

На этом настройка завершена. Для проверки работоспособности можно выполнить тестовое клонирование репозитория из I2P:

```bash
git clone http://git.community.i2p/community/docs.git
```

Чтобы вернуть настройки прокси git в исходное состояние, выполните команду:

```bash
git config --global --unset http.http://git.community.i2p.proxy
```

---

Из-за медленного соединения, при отправке локальных изменений, локальное приложение гит может обрывать операцию по таймауту (сообщение вроде `send-pack: unexpected disconnect while reading sideband packet`). Чтобы минимизировать возникновение этой проблемы, следует увеличить размер буфера (например, до 500МБ - с запасом):

```bash
git config --global http.postBuffer 524288000
```