# Протокол безопасности

Наше сообщество строится на принципе анонимности. Мы решили собрать небольшую базу знаний на тему сохранения приватности в сети. Эта информация будет полезна широкому кругу лиц, равно также, как и дополнять этот документ может каждый желающий.

## 1. Личность

- 1.0) В реальной жизни мы знаем своих знакомых по именам, в виртуальном пространстве - по никнеймам. Для действий, которые не должны ассоциироваться с вашей настоящей персоной, необходимо заводить новые виртуальные личности: новый никнейм, новый почтовый ящик, новые ключи шифрования и криптографической подписи.

- 1.1) Никогда и ни при каких обстоятельствах не смешивайте разные личности. Например, не пишите товарищу с почтового ящика, который является частью вашей секретной легенды. Подобная оплошность является брешью в анонимности, позволяя сопоставить вас и ваш призрак при анализе переписки вашего товарища.
- 1.2) Никогда не верифицируйте какой бы то ни был сервис через идентификаторы прямо или косвенно связанные с вашей реальной личностью. Например, не используйте СМС при регистрации на хостинге, где располагается ваш "тайный" сервер; не оплачивайте какие-либо услуги, связанные с вашим призраком, банковской картой, которая может привести к вам или вашим близким; не регистрируйте сервисы на идентификаторы, связанные с другой личностью. В случае анализа сервера или других средств, попавших в поле зрения вашего злоумышленника, подобные оплошности будут зацепкой, ведущей к вашей настоящей личности.
- 1.3) Биометрия. С осторожностью и скепсисом относитесь к голосовым чатам. Даже искаженный голос быстро сопоставляется с образцом, который вы по-пьяни сдали в отделении банка!
- 1.4) Не принимайте денежные средства в фиатных валютах. При использовании криптовалюты будьте бдительны - блокчейн большинства коинов весьма просто поддается анализу.
- 1.5) Не распространяйтесь о своих виртуальных личностях среди близких людей. Во-первых, сольет вас всегда только ваш лучший друг, которому вы доверяете. Во-вторых, вероятна случайная утечка.
- 1.6) Старайтесь вести разный стиль письма для разных личностей, чтобы затруднить анализ текстов на предмет их принадлежности одному автору. Например, в зависимости от личности допускайте характерные ошибки, по ситуации меняйте характер использования эмоджи и текстовых смайлов.

## 2. Криптография

- 2.0) Необходимо иметь ключ PGP/GPG, который является центром вашей виртуальной личности. Цифровая подпись вне зависимости от источника сообщения всегда может доказать ваше авторство, а публичный ключ шифрования позволит вашим собеседникам скрыть от чужих глаз информацию, направленную вам.

- 2.1) Не используйте цифровую подпись, когда не хотите, чтобы информация ассоциировалась с вашей личностью.
- 2.2) Цифровая подпись - возможный инструмент доказательства вашей причастности к событию, о котором вы написали, подписавшись. Это актуально для случаев, когда ваш публичный ключ общеизвестен и используется в диалогах со многими людьми. Подумайте об отдельной личности или отдельном защищенном канале связи для обсуждений спорного характера.
- 2.3) Не используйте цифровые идентификаторы, когда это не оправдано. Нормально сидеть в развлекательном чате лишь указав нужный никнейм, либо вовсе под только что придуманным псевдонимом. Более того, в легкомысленных разговорах чаще всего вылетают компрометирующие суждения и высказывания, которые должны быть наименее доказуемо связаны с вами.
- 2.4) Не надейтесь на сложные пароли, когда вашему заднему проходу угрожает паяльник. Старайтесь такого сценария избегать.

## 3. Слабая сторона

- 3.0) Помните, что стерильная приватность на вашей стороне не гарантирует безопасность информации на другом конце провода, т.к. устройство собеседника может быть скомпрометировано, либо собеседник попросту не компетентен в вопросе информационной безопасности.

- 3.1) Отказывайтесь от диалогов, в ходе которых ваши сообщения будут оседать на неподконтрольных серверах в незашифрованном виде. Особенно и всецело это касается проприетарных социальных сетей: от Facebook до Вконтакте, которые не только хранят всю информацию в виде обычного текста, но активно собирают метаинформацию и персональные данные, приобщая их к переписке!

